# List policies

GET https://api.letsdeel.com/rest/v2/time_offs/profile/{hris_profile_id}/policies

List policies for profile
 **Token scopes**: `time-off:read`

Reference: https://developer.deel.com/api/endpoints/time-off/get-time-off-policies

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /time_offs/profile/{hris_profile_id}/policies:
    get:
      operationId: get-time-off-policies
      summary: List policies
      description: |-
        List policies for profile
         **Token scopes**: `time-off:read`
      tags:
        - subpackage_timeOff
      parameters:
        - name: hris_profile_id
          in: path
          description: hrisProfileId id.
          required: true
          schema:
            type: string
            format: uuid
        - name: policy_type_name
          in: query
          description: Policy type name.
          required: false
          schema:
            $ref: >-
              #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetParametersPolicyTypeName
        - name: policy_type_id
          in: query
          description: policy type id
          required: false
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/time-off_getTimeOffPolicies_Response_200'
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Not Found - Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPoliciesRequestNotFoundError'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    TimeOffsProfileHrisProfileIdPoliciesGetParametersPolicyTypeName:
      type: string
      enum:
        - Moving leave
        - Adoption leave
        - Personal leave
        - Parental leave
        - Military leave
        - Childbirth leave
        - Study leave
        - Sick leave
        - Bereavement leave
        - Family & domestic violence leave
        - Marriage/wedding leave
        - Blood donation leave
        - Volunteer leave
        - Vacation
        - Doctor's appointment leave
        - Maternity leave
        - Hajj leave
        - Paternity leave
        - Civic/public duty leave
        - Childcare leave
        - Unpaid leave
        - Paid leave
        - Other leave
        - Disability leave
        - Pregnancy leave
        - RTT
        - Regional holiday
        - Breastfeeding leave
        - Advanced vacation
      title: TimeOffsProfileHrisProfileIdPoliciesGetParametersPolicyTypeName
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsLeaveType:
      type: string
      enum:
        - SHORT_TERM_LEAVE
        - LONG_TERM_LEAVE
      description: Type of leave for this policy
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsLeaveType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyType:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the policy type
        name:
          type: string
          description: Name of the policy type
      required:
        - id
        - name
      description: Type of this policy
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPaymentType:
      type: string
      enum:
        - PAID
        - UNPAID
      description: Payment type for the time off policy
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPaymentType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTrackingUnit:
      type: string
      enum:
        - HOUR
        - BUSINESS_DAY
        - CALENDAR_DAY
        - WEEK
        - MONTH
        - YEAR
      description: Unit used for tracking policy periods
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTrackingUnit
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTimeOffTypesItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the time off type
        name:
          type: string
          description: Name of the time off type
        description:
          type:
            - string
            - 'null'
          description: Description of the time off type
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTimeOffTypesItems
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTrackingCadence:
      type: string
      enum:
        - FIXED_DAY
        - ANNIVERSARY
      description: Cadence for tracking policy periods
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTrackingCadence
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsType:
      type: string
      enum:
        - BASE_ALLOWANCE
        - ADDITIONAL_ALLOWANCE
      description: Type of the policy allowance
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsAccrualType:
      type: string
      enum:
        - LUMPSUM
        - TIMEFRAME
        - EVENT
        - TIME_OFF_IN_LIEU
      description: >-
        Type of accrual for the allowance. Determines how/when profiles should
        earn their entitlement (aka: allowance).
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsAccrualType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsAccrualUnit:
      type: string
      enum:
        - HOUR
        - BUSINESS_DAY
        - CALENDAR_DAY
        - WEEK
        - MONTH
        - YEAR
      description: Unit used for accrual
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsAccrualUnit
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsRolloverType:
      type: string
      enum:
        - NO_ROLLOVER
        - PAY_OUT
        - CARRY_OVER
        - CARRY_OVER_PAY_OUT
      description: Type of rollover
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsRolloverType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementUnit:
      type: string
      enum:
        - HOUR
        - BUSINESS_DAY
        - CALENDAR_DAY
        - WEEK
        - MONTH
        - YEAR
      description: Unit used for entitlement
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementUnit
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsBalanceTrackingType:
      type: string
      enum:
        - INFLEXIBLE
        - FLEXIBLE_NO_LIMIT
        - FLEXIBLE_CUSTOM_AMOUNT
        - FLEXIBLE_UP_TO_YEARLY_ALLOWANCE
      description: >-
        Type of balance tracking. Determines how workers can request their time
        off.
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsBalanceTrackingType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementStartType:
      type: string
      enum:
        - IMMEDIATELY
        - FIXED_PERIOD
        - FIXED_DAY
      description: Type of entitlement start
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementStartType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementStartUnit:
      type: string
      enum:
        - HOUR
        - BUSINESS_DAY
        - CALENDAR_DAY
        - WEEK
        - MONTH
        - YEAR
      description: Unit used for entitlement start
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementStartUnit
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsAccrualApplicationType:
      type: string
      enum:
        - BEGIN_OF_CYCLE
        - END_OF_CYCLE
        - BEGIN_OF_NEXT_CYCLE
      description: >-
        Type of accrual application. Enum to indicate when accruals will be
        applied within the accrual cycles.
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsAccrualApplicationType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsRolloverExpirationUnit:
      type: string
      enum:
        - HOUR
        - BUSINESS_DAY
        - CALENDAR_DAY
        - WEEK
        - MONTH
        - YEAR
      description: Unit used for rollover expiration
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsRolloverExpirationUnit
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementExpirationUnit:
      type: string
      enum:
        - HOUR
        - BUSINESS_DAY
        - CALENDAR_DAY
        - WEEK
        - MONTH
        - YEAR
      description: Unit used for entitlement expiration
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementExpirationUnit
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the policy allowance
        type:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsType
          description: Type of the policy allowance
        accrual_type:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsAccrualType
          description: >-
            Type of accrual for the allowance. Determines how/when profiles
            should earn their entitlement (aka: allowance).
        accrual_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsAccrualUnit
            - type: 'null'
          description: Unit used for accrual
        rollover_type:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsRolloverType
            - type: 'null'
          description: Type of rollover
        entitlement_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementUnit
            - type: 'null'
          description: Unit used for entitlement
        accrual_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of accrual units
        enable_bank_holidays:
          type: boolean
          description: Whether bank holidays are enabled for this allowance
        balance_tracking_type:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsBalanceTrackingType
            - type: 'null'
          description: >-
            Type of balance tracking. Determines how workers can request their
            time off.
        entitlement_start_date:
          type:
            - string
            - 'null'
          format: date
          description: Start date for entitlement
        entitlement_start_type:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementStartType
          description: Type of entitlement start
        entitlement_start_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementStartUnit
            - type: 'null'
          description: Unit used for entitlement start
        entitlement_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of entitlement units
        accrual_application_type:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsAccrualApplicationType
            - type: 'null'
          description: >-
            Type of accrual application. Enum to indicate when accruals will be
            applied within the accrual cycles.
        rollover_expiration_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsRolloverExpirationUnit
            - type: 'null'
          description: Unit used for rollover expiration
        rollover_limit_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of rollover limit units
        entitlement_expiration_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItemsEntitlementExpirationUnit
            - type: 'null'
          description: Unit used for entitlement expiration
        entitlement_start_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of entitlement start units
        rollover_expiration_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of rollover expiration units
        entitlement_expiration_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of entitlement expiration units
        zero_out_negative_balances_on_rollover:
          type: boolean
          description: Whether negative balances are zeroed out on rollover
        part_time_prorated_entitlement_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: >-
            The total prorated policy allowance entitlement amount if the worker
            is part-time.
        balance_tracking_flexible_custom_request_amount:
          type:
            - number
            - 'null'
          format: double
          description: >-
            Amount for flexible custom request balance tracking. The flexible
            custom extra amount request of the policy allowance.
      required:
        - id
        - type
        - accrual_type
        - accrual_unit
        - rollover_type
        - entitlement_unit
        - accrual_unit_amount
        - enable_bank_holidays
        - balance_tracking_type
        - entitlement_start_date
        - entitlement_start_type
        - entitlement_start_unit
        - entitlement_unit_amount
        - accrual_application_type
        - rollover_expiration_unit
        - rollover_limit_unit_amount
        - entitlement_expiration_unit
        - entitlement_start_unit_amount
        - rollover_expiration_unit_amount
        - entitlement_expiration_unit_amount
        - zero_out_negative_balances_on_rollover
        - balance_tracking_flexible_custom_request_amount
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItems
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsNoticePeriodUnit:
      type: string
      enum:
        - HOUR
        - BUSINESS_DAY
        - CALENDAR_DAY
        - WEEK
        - MONTH
        - YEAR
      description: Unit for notice period
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsNoticePeriodUnit
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsRequestStartType:
      type: string
      enum:
        - IMMEDIATELY
        - FIXED_PERIOD
      description: Type of request start configuration
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsRequestStartType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsRequestStartUnit:
      type: string
      enum:
        - HOUR
        - BUSINESS_DAY
        - CALENDAR_DAY
        - WEEK
        - MONTH
        - YEAR
      description: Unit used for request start configuration
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsRequestStartUnit
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsOverlapRequestType:
      type: string
      enum:
        - ALLOWED
        - NOT_ALLOWED
      description: Type of overlapping requests allowed
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsOverlapRequestType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTimeOffRequestType:
      type: string
      enum:
        - HALF_DAY
        - HOURLY
        - FULL_DAY
        - PERCENTAGE
        - PARTIAL_HOURS
      description: Type of time off requests allowed
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTimeOffRequestType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsIsAttachmentRequired:
      type: string
      enum:
        - NOT_REQUIRED
        - REQUIRED
        - CONDITIONALLY_REQUIRED
      description: Whether an attachment is required for time off requests
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsIsAttachmentRequired
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowanceProrationPartTimeWorkerTreatmentType:
      type: string
      enum:
        - SAME_AS_FTE
        - PERCENTAGE_OF_FTE
        - BASED_ON_WORK_HOURS
        - BASED_ON_WORK_DAYS
        - CUSTOM_ENTITLEMENT
      description: Type of treatment for part-time workers
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowanceProrationPartTimeWorkerTreatmentType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowanceProration:
      type: object
      properties:
        prorates_on_hire:
          type: boolean
          description: Whether proration is applied on hire
        prorates_on_termination:
          type: boolean
          description: Whether proration is applied on termination
        part_time_worker_treatment_type:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowanceProrationPartTimeWorkerTreatmentType
          description: Type of treatment for part-time workers
        part_time_worker_treatment_specific_amount:
          type:
            - number
            - 'null'
          format: double
          description: >-
            Specific amount for part-time worker treatment when the type is
            CUSTOM_ENTITLEMENT
      required:
        - prorates_on_hire
        - prorates_on_termination
        - part_time_worker_treatment_type
        - part_time_worker_treatment_specific_amount
      description: Proration configuration for policy allowances
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowanceProration
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsRetrospectiveRequestType:
      type: string
      enum:
        - ALLOWED
        - NOT_ALLOWED
      description: Type of retrospective requests allowed
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsRetrospectiveRequestType
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsAutoApprovalInactivityTimeUnit:
      type: string
      enum:
        - HOUR
        - BUSINESS_DAY
        - CALENDAR_DAY
        - WEEK
        - MONTH
        - YEAR
      description: Unit for auto-approval inactivity time
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsAutoApprovalInactivityTimeUnit
    TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the policy
        name:
          type: string
          description: Name of the policy
        created_at:
          type: string
          format: date-time
          description: Date and time when the policy was created
        leave_type:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsLeaveType
          description: Type of leave for this policy
        updated_at:
          type: string
          format: date-time
          description: Date and time when the policy was last updated
        description:
          type:
            - string
            - 'null'
          description: Description of the policy
        policy_type:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyType
          description: Type of this policy
        payment_type:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPaymentType
          description: Payment type for the time off policy
        tracking_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTrackingUnit
            - type: 'null'
          description: Unit used for tracking policy periods
        policy_type_id:
          type: string
          format: uuid
          description: Unique identifier of the policy type
        time_off_types:
          type: array
          items:
            $ref: >-
              #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTimeOffTypesItems
          description: Time off types associated with this policy
        tracking_cadence:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTrackingCadence
            - type: 'null'
          description: Cadence for tracking policy periods
        policy_allowances:
          type: array
          items:
            $ref: >-
              #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowancesItems
          description: Allowances associated with this policy
        notice_period_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsNoticePeriodUnit
            - type: 'null'
          description: Unit for notice period
        request_start_type:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsRequestStartType
            - type: 'null'
          description: Type of request start configuration
        request_start_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsRequestStartUnit
            - type: 'null'
          description: Unit used for request start configuration
        tracking_start_date:
          type:
            - string
            - 'null'
          format: date
          description: Start date for tracking policy periods
        overlap_request_type:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsOverlapRequestType
          description: Type of overlapping requests allowed
        tracking_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of tracking units
        time_off_request_type:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsTimeOffRequestType
          description: Type of time off requests allowed
        is_attachment_required:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsIsAttachmentRequired
          description: Whether an attachment is required for time off requests
        is_description_required:
          type: boolean
          description: Whether a description is required for time off requests
        notice_period_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of notice period units
        request_start_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of request start units
        policy_allowance_proration:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsPolicyAllowanceProration
          description: Proration configuration for policy allowances
        retrospective_request_type:
          $ref: >-
            #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsRetrospectiveRequestType
          description: Type of retrospective requests allowed
        allow_to_edit_past_time_offs:
          type: boolean
          description: Whether editing past time offs is allowed
        auto_approval_inactivity_time_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItemsAutoApprovalInactivityTimeUnit
            - type: 'null'
          description: Unit for auto-approval inactivity time
        auto_approval_inactivity_time_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of auto-approval inactivity time units
      required:
        - id
        - name
        - created_at
        - leave_type
        - updated_at
        - policy_type
        - payment_type
        - tracking_unit
        - policy_allowances
        - notice_period_unit
        - request_start_type
        - request_start_unit
        - overlap_request_type
        - tracking_unit_amount
        - time_off_request_type
        - is_attachment_required
        - is_description_required
        - notice_period_unit_amount
        - request_start_unit_amount
        - policy_allowance_proration
        - retrospective_request_type
        - allow_to_edit_past_time_offs
        - auto_approval_inactivity_time_unit
        - auto_approval_inactivity_time_unit_amount
      description: Time off policy
      title: >-
        TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItems
    time-off_getTimeOffPolicies_Response_200:
      type: object
      properties:
        policies:
          type: array
          items:
            $ref: >-
              #/components/schemas/TimeOffsProfileHrisProfileIdPoliciesGetResponsesContentApplicationJsonSchemaPoliciesItems
      title: time-off_getTimeOffPolicies_Response_200
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    ListPoliciesRequestNotFoundError:
      type: object
      properties:
        message:
          type: string
      title: ListPoliciesRequestNotFoundError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/time_offs/profile/f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b/policies"

querystring = {"policy_type_name":"Adoption leave","policy_type_id":"f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/time_offs/profile/f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b/policies?policy_type_name=Adoption+leave&policy_type_id=f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/time_offs/profile/f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b/policies?policy_type_name=Adoption+leave&policy_type_id=f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/time_offs/profile/f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b/policies?policy_type_name=Adoption+leave&policy_type_id=f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/time_offs/profile/f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b/policies?policy_type_name=Adoption+leave&policy_type_id=f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/time_offs/profile/f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b/policies?policy_type_name=Adoption+leave&policy_type_id=f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/time_offs/profile/f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b/policies?policy_type_name=Adoption+leave&policy_type_id=f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/time_offs/profile/f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b/policies?policy_type_name=Adoption+leave&policy_type_id=f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```